#!/usr/bin/env python
###############################################################################
# $Id: osr_basic.py,v 1.1 2003/03/25 15:22:31 warmerda Exp $
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test OSR GML (XML) CRS support. 
# Author:   Frank Warmerdam <warmerdam@pobox.com>
# 
###############################################################################
# Copyright (c) 2003, Frank Warmerdam <warmerdam@pobox.com>
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
# 
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
###############################################################################
# 
#  $Log: osr_basic.py,v $
#

import os
import sys

sys.path.append( '../pymod' )

import gdaltest
import osr


###############################################################################
# Convert a UTM CRS from WKT to XML and back and check some stuff.
#
# NOTE: This script isn't complete, or commited in CVS.  It doesn't even
# work properly yet because the underlying code is somewhat broken.

def osr_gml_1():

    return 'skip'

    utm_srs_o = osr.SpatialReference()
    utm_srs_o.SetUTM( 11 )
    utm_srs_o.SetWellKnownGeogCS( 'WGS84' )

    xml = utm_srs_o.ExportToXML()
    utm_srs = osr.SpatialReference()
    utm_srs.ImportFromXML( xml )

    print utm_srs.ExportToPrettyWkt()
    print xml

    parm_list = \
              [ (osr.SRS_PP_CENTRAL_MERIDIAN, -117.0),
                (osr.SRS_PP_LATITUDE_OF_ORIGIN, 0.0),
                (osr.SRS_PP_SCALE_FACTOR, 0.9996),
                (osr.SRS_PP_FALSE_EASTING, 500000.0),
                (osr.SRS_PP_FALSE_NORTHING, 0.0) ]

    for parm in parm_list:
        value = utm_srs.GetProjParm( parm[0], -1111 )
        if value != parm[1]:
            gdaltest.post_reason( 'got %g for %s instead of %g.' \
                                  % (value, parm[0], parm[1] ) )
            return 'false'

    auth_list = [ ('GEOGCS', '4326'),
                  ('DATUM', '6326') ]

    for auth in auth_list:
        if utm_srs.GetAuthorityName( auth[0] ) != 'EPSG':
            gdaltest.post_reason( 'Got authority %s instead of EPSG for %s' \
                                  % (utm_srs.GetAuthorityName( auth[0] ),
                                     auth[0]) )
            return 'false'
        
        if str(utm_srs.GetAuthorityCode( auth[0] )) != auth[1]:
            gdaltest.post_reason( 'Got code %s instead of %s for %s' \
                                  % (utm_srs.GetAuthorityName( auth[0] ),
                                     auth[1], auth[0]) )
            return 'false'

    return 'success'

gdaltest_list = [ 
    osr_gml_1,
    None ]

if __name__ == '__main__':

    gdaltest.setup_run( 'osr_gml' )

    gdaltest.run_tests( gdaltest_list )

    gdaltest.summarize()

